/* Global */

html {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
  background: #fbfbfb url("../images/paper.png") 0 0 repeat;
  /* background-size: cover; */
  font-size: 16px;
  color: #333;
}

a,
a:hover {
  color: #333;
}

article {
  position: relative;
}

article a {
  text-decoration: underline;
}

p {
  margin-bottom: 15px;
}

hr {
  margin: 30px 0;
}

article.shorten-hr hr {
  margin-left: 80px;
}

article h2 {
  position: absolute;
  top: -38px;
  left: 0;
  font-size: 80%;
  text-transform: uppercase;
  line-height: 1;
  color: #ddd;
  margin: 0;
}

/* Layout */

body {
  padding: 35px 20px 15px 20px;
}

#page {
  width: 500px;
  max-width: 100%;
  margin: 0 auto;
}

article {
  position: relative;
}

/* Colors */

/* .intro { color: #17a2b8 } */

.current, .current a, .current a:hover { color: #ffc107 }
.current .label { background: #ffc107 }

.next, .next a, .next a:hover { color: #28a745 }
.next .label { background: #28a745 }

.waiting, .waiting a, .waiting a:hover { color: #acb5bd }
.waiting .label { background: #acb5bd }

.edit { color: #ccd5dd }
.edit:hover { color: #333 }
.edit.success { color: #28a745 }
.edit.error { color: red }

.save { color: #ccd5dd }
.save:hover { color: #333 }

/* Icons from https://glyphicons.bootstrapcheatsheets.com/ */

.icon:before {
  display: inline-block;
  font-family: "Glyphicons Halflings";
  font-size: 90%;
  position: relative;
  width: 19px;
  top: 1px;
}

.current:before {
  /*content: "\e157";*/
  content: "\e162";
}

.next:before {
  /*content: "\e080";*/
  content: "\e095";
  font-size: 80%;
}

.waiting:before {
  /*content: "\e033"; */ /*locked*/
  content: "\e023";
  font-size: 87%;
}

.edit:before {
  content: "\270f";
}

.save:before {
  content: "\e013";
}

/* Labels */

.label {
  color: #fff;
  background: #333;
  border-radius: 2px;
  padding: 1px 2px 2px 3px;
  font-size: 10px;
  display: inline-block;
  margin-left: 1px;
  position: relative;
  top: -1px;
}
 
@media (max-width: 500px) {
  .label { padding: 1px 2px 1px 3px }
}

/* Footer */

footer {
  font-size: 75%;
  text-align: right;
  color: #acb5bd;
}

footer a {
  color: #acb5bd;
}

footer hr {
  margin-top: 30px;
  margin-bottom: 15px;
}

.btn-logout {
  display: none;
}

/* Edit */

.edit {
  float: right;
}

.save {
  display: none;
  position: absolute;
  z-index: 20;
  right: 0;
  top: 0;
}

textarea {
  display: none;
  position: absolute;
  background: #fbfbfb url("../images/paper.png") 0 0 repeat;
  z-index: 10;
  border: 0;
  resize: none;
  line-height: 1.2;
  width: 100%;
  min-width: 100%;
  max-width: 100%;
  height: 100%;
  min-height: 100%;
  max-height: 100%;
}

input.form-control {
  background: #fbfbfb url("../images/paper.png") 0 0 repeat;
  box-shadow: none;
  border: 0;
  outline: none;
}

/*Login*/

input[type=password] {
  margin-bottom: 15px;
  font-size: 16px;
  border: 1px solid #eee;
}

input[type=password] + .btn { 
  display: block;
  width: 100%;
}
